play.libs

## Class Images

- java.lang.Object
- - play.libs.Images

-     public class Images
      extends java.lang.Object

  Images utils

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Images.Captcha` A captcha image.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Images()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Images.Captcha` | `captcha()` Create a 150x150 captcha image
    `static Images.Captcha` | `captcha(int width, int height)` Create a captche image
    `static void` | `crop(java.io.File originalImage, java.io.File to, int x1, int y1, int x2, int y2)` Crop an image
    `static void` | `resize(java.io.File originalImage, java.io.File to, int w, int h)` Resize an image
    `static void` | `resize(java.io.File originalImage, java.io.File to, int w, int h, boolean keepRatio)` Resize an image
    `static java.lang.String` | `toBase64(java.io.File image)` Encode an image to base64 using a data: URI

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Images

          public Images()

  - ### Method Detail

    - #### resize

          public static void resize(java.io.File originalImage,
                                    java.io.File to,
                                    int w,
                                    int h)

      Resize an image
      Parameters:
        `originalImage` - The image file
        `to` - The destination file
        `w` - The new width (or -1 to proportionally resize)
        `h` - The new height (or -1 to proportionally resize)

    - #### resize

          public static void resize(java.io.File originalImage,
                                    java.io.File to,
                                    int w,
                                    int h,
                                    boolean keepRatio)

      Resize an image
      Parameters:
        `originalImage` - The image file
        `to` - The destination file
        `w` - The new width (or -1 to proportionally resize) or the maxWidth if keepRatio is true
        `h` - The new height (or -1 to proportionally resize) or the maxHeight if keepRatio is true
        `keepRatio` - if true, resize will keep the original image ratio and use w and h as max dimensions

    - #### crop

          public static void crop(java.io.File originalImage,
                                  java.io.File to,
                                  int x1,
                                  int y1,
                                  int x2,
                                  int y2)

      Crop an image
      Parameters:
        `originalImage` - The image file
        `to` - The destination file
        `x1` - The new x origin
        `y1` - The new y origin
        `x2` - The new x end
        `y2` - The new y end

    - #### toBase64

          public static java.lang.String toBase64(java.io.File image)
                                           throws java.io.IOException

      Encode an image to base64 using a data: URI
      Parameters:
        `image` - The image file
      Returns:
        The base64 encoded value
      Throws:
        `java.io.IOException` - Thrown if the encoding encounters any problems.

    - #### captcha

          public static Images.Captcha captcha(int width,
                                               int height)

      Create a captche image
      Parameters:
        `width` - The width of the captche
        `height` - The height of the captche
      Returns:
        The given captcha

    - #### captcha

          public static Images.Captcha captcha()

      Create a 150x150 captcha image
      Returns:
        The given captcha

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly